package com.gyee.wisdom.common.data.alarm;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class Alertsnap implements Serializable{
    private static final long serialVersionUID = -8348826240826071549L;
    private Long id;
    private String stationId;
    private String projectId;
    private String lineId;
    private String windturbineId;
    private int alertValue;
    private String cateGory1;
    private String cateGory2;
    private String cateGory3;
    private String rank;
    private int isOpened;
    private int isConfirmed;
    private Date confirmTime;
    private String confirmPerson;
    private Date lastUpdateTime;
    private String lastUpdatePerson;
    private String stationName;
    private String projectName;
    private String lineName;
    private String windturbineName;
    private String alertText;
    private String modelId;
    private String testingpointKey;
    private String ifixPicture;
    private String ifixTag;
    private Date lastCloseTime;
    private String lastClosePerson;
    private String dataInfo;
}
