package com.gyee.wisdom.common.data.feature;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @descrition: 液压泵运行统计
 * @author:Wanghs
 * @date:2019-11-18
 */
@Data
public class FeatureStat implements Serializable {
    //id
    private Long id;
    //风机编号
    private String windturbineId;
    //风场编号
    private String stationId;
    //统计日期
    private Date statTime;
    //发生次数
    private int total;
    //总时长(秒)
    private double totalSeconds;
    //平均时长(秒)
    private double avgSeconds;
    //最大时长
    private double maxSeconds;
    //最小时长
    private double minSeconds;
    //类型 YYBYX-液压泵运行,LWYC-滤网压差故障,ZPH-偏航,YPH-右偏航,JLDZ-解缆动作
    private String typeCode;
    //类型名称
    private String typeName;
}
