package com.gyee.wisdom.common.data.point;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *Author:Wanghs
 */

//测点
@Data
public class TestingPoint implements Serializable {

    //编号（主键）
    private String id;
    //编码
    private String code;
    //名称
    private String name;
    //型号
    private String model;
    //单位
    private String valueUnit;
    //英文名称
    private String englishName;
    //类型编号
    private String typeId;
    //最大值
    private double maxVal;
    //最小值
    private double minVal;
    //合理最大值
    private double reasonableMaxVal;
    //合理最小值
    private double reasonableMinVal;
    //风机型号编号
    private String modelId;
    //统一编码
    private String uniformCode;
    //数据类型
    private String dataType;
    //分类（1遥测、2遥信、3遥调、4遥控、5计算）
    private int category;

}
