package com.gyee.wisdom.dao.sql.lobsystem.entity;

import com.gyee.wisdom.dao.sql.ModelConstants;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;


@Data
@NoArgsConstructor
@ToString
@EqualsAndHashCode()
@Entity
@Table(name = "systemalerthistory")
public class SystemAlertHistoryEntity implements Serializable {
    private static final long serialVersionUID = -6938621835773004400L;
    @Id
    @Column(name = ModelConstants.ID_)
    private String id;
    @Column(name = "alerttime")
    private Date alerttime;
    @Column(name = "messagetype")
    private Character messagetype;
    @Column(name  = "operator")
    private String operator;
}
