package com.gyee.wisdom.dao.sql.lobsystem.entity;

import com.gyee.wisdom.dao.sql.ModelConstants;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;


@Data
@NoArgsConstructor
@ToString
@EqualsAndHashCode()
@Entity
@Table(name = "systemalertrule")
public class SystemAlertRuleEntity implements Serializable {
    private static final long serialVersionUID = -8179509263738627170L;
    @Id
    @Column(name = ModelConstants.ID_)
    private String id;
    @Column(name = "name")
    private String name;
    @Column(name = "description")
    private String description;
    @Column(name = "expression")
    private String expression;
    @Column(name = "tag")
    private String tag;
    @Column(name = "rank")
    private String rank;
    @Column(name = "enabled")
    private Integer enabled;
    @Column(name = "ednavalue")
    private Integer ednavalue;
    @Column(name = "category")
    private String category;
    @Column(name = "modelid")
    private String modelid;
}
