package com.gyee.wisdom.dao.sql.topic.repository;

import com.gyee.wisdom.common.data.topic.Topic;
import com.gyee.wisdom.dao.sql.topic.entity.TopicEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

/**
 * @author:Wanghs
 * @date:2018-04-25
 */
public interface TopicRepository extends JpaRepository<TopicEntity, String>, JpaSpecificationExecutor {

    TopicEntity findByTopic(String topic);
    void deleteByTopic(String topic);
}
