package com.gyee.wisdom.alarm.schedule.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("WARNING2")
public class Warning2 implements Serializable {
    @TableId("ID")
    private String id;
    @TableField("LEVELID")
    private String levelId;
    @TableField("MANUFACTURERCODE")
    private String manufacturerCode;
    @TableField("ENGLISHTEXT")
    private String neglishText;
    @TableField("CHINESETEXT")
    private String chineseText;
    @TableField("PARENTID")
    private String parentId;
    @TableField("ISLEAF")
    private int isleaf;
    @TableField("SEQUENCENUMBER")
    private int sequenceNumber;
    @TableField("CHARACTERISTIC")
    private String characteristic;
    @TableField("MODELID")
    private String modelId;
    @TableField("CODENAME")
    private String codeName;
    @TableField("EDNAVALUE")
    private int ednaValue;
    @TableField("DISPLAY")
    private int display;
    @TableField("WARNINGCLASSIFYID")
    private String warningClassIfyId;
    @TableField("STANDARDTIME")
    private int standardTime;
    @TableField("ISRESET")
    private int isreset;
    @TableField("WARNINGTYPEID")
    private String warningTypeId;
    @TableField("FAULTCODE")
    private String faultCode;
    @TableField("RELATEDPARTS")
    private String relatedParts;//关联部件

    @TableField(exist = false)
    private String userName;//操作人
}
