package com.gyee.wisdom.alarm.sharding.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

/**
 * @descrition: 风机报警信息(产生后果,产生原因,排查方法,处理方法)
 * @author:Wanghs
 * @date:2020-07-13
 */
@Data
public class AlertKnowledge implements Serializable {
    @TableId("ID")
    private  long id;
    //预警名称
    @TableField("NAME")
    private String alertName;
    //产生后果
    @TableField("CONSEQUENCE")
    private String consequence;
    //产生原因
    @TableField("REASON")
    private String reason;
    //排查方法
    @TableField("INVESTIGATION")
    private String investigation;
    //处理方法
    @TableField("DISPOSE")
    private String dispose;
}
