package com.gyee.wisdom.alarm.sharding.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 设备型号
 */
@Data
@TableName("device_model")
public class DeviceModel implements Serializable{

    @TableId("id")
    private int id;
    @TableField("code")
    private String code;
    @TableField("deviceid")
    private String deviceid;
    @TableField("name")
    private String name;
    @TableField("enname")
    private String enname;
    @TableField("description")
    private String description;
    @TableField("orderno")
    private int orderno;
    @TableField("enabled")
    private boolean enabled;
    @TableField("stationname")
    private String stationname;
    @TableField("stationid")
    private String stationid;

//    ID                   NUMBER               not null,
//    DEVICEID             VARCHAR2(50)         default '1' not null,
//    CODE                 VARCHAR2(50)         not null,
//    NAME                 VARCHAR2(50)         not null,
//    ENNAME               VARCHAR2(50),
//    DESCRIPTION          VARCHAR2(500),
//    ORDERNO              NUMBER,
//    ENABLED              NUMBER(1)            default 1 not null,

}
