package com.gyee.wisdom.alarm.sharding.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("FAULTHISTORY")
public class FaultHistory implements Serializable{

    @TableId("ID")
    private Long id;
    @TableField("FAULTTIME")
    private Date faultTime;
    @TableField("OPERATOR")
    private String operator;
    @TableField("SNAPID")
    private Long snapId;
    @TableField("CONFIRMTYPE")
    private Integer confirmType;
    @TableField("CONFIRMTIME")
    private Date confirmTime;
    @TableField("CONFIRMPERSON")
    private String confirmPerson;
    @TableField("MESSAGETYPE")
    private int messageType;
    @TableField("ALERTSNAPID")
    private Long alertSnapId;
    //仅针对升压站报警使用  测点值为0时字段为--分位,测点值为1时字段为--合位
    @TableField("ALERTTEXTLAST")
    private String alertTextLast;


}
