package com.gyee.wisdom.alarm.sharding.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("FAULTSTATISTICWINDTURBINE")
public class FaultStatisticWindturbine implements Serializable {
    /**
     * id
     */
    @TableId("ID")
    private Long id;
    //报警值
    @TableField("EDNAVALUE")
    private String ednavalue;

    /**
     * 故障分类
     */
    @TableField("WARNINGTYPE")
    private String warningtype;

    /**
     * 年份
     */
    @TableField("YEAR")
    private String year;

    /**
     * 月份
     */
    @TableField("MONTH")
    private String month;

    /**
     * 风机id
     */
    @TableField("WINDTURBINEID")
    private String windturbineid;

    /**
     * 风场编号
     */
    @TableField("WINDPOWERSTATIONID")
    private String windpowerstationid;

    /**
     * 当月故障次数
     */
    @TableField("MONTHWARNINGNUM")
    private double monthwarningnum;

    /**
     * 当月故障时长
     */
    @TableField("MONTHWARNINGTIME")
    private double monthwarningtime;

    /**
     * 上月故障次数
     */
    @TableField("MONTHONMONTHNUM")
    private double monthonmonthnum;

    /**
     * 上月故障时长
     */
    @TableField("MONTHONMONTHTIME")
    private double monthonmonthtime;

    /**
     * 上年同月故障次数
     */
    @TableField("YEAROVERYEARNUM")
    private double yearoveryearnum;

    /**
     * 上年同月故障时长
     */
    @TableField("YEAROVERYEARTIME")
    private double yearoveryeartime;



}
