package com.gyee.wisdom.alarm.sharding.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.wisdom.alarm.sharding.entity.DeviceMetrics;
import com.gyee.wisdom.alarm.sharding.entity.DeviceModel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface DeviceModelMapper extends BaseMapper<DeviceModel> {


    List<DeviceModel> getDeviceModelsById(@Param("id")String id);

    DeviceModel getDeviceModelByCode(@Param("deviceid")String deviceid,
                                         @Param("code")String code);

    List<DeviceModel> getAll();
}
