package com.gyee.wisdom.common.data.alarm;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class AlertRule implements Serializable{

    private static final long serialVersionUID = -9116357102786246553L;

    private String id;     //编码
    private String name;   //名称
    private String expression;     //表达式
    private String description;    //描述
    private String tag;    //标签
    private String rank;      //级别
    private boolean enabled;  //是否启用
    private String modelId;    //设备类型
    private int ednaValue;    //报警值
    private String category;      //报警类别
    private String range;      //范围
    private String station;    //场站
    private String windturbine;    //风机
    private String line;           //线路
    private String project;        //工程
    private String electrical;     //电气
    private String relatedParts;//关联部件
}
