package com.gyee.wisdom.common.data.alarm;

import lombok.Data;

import java.io.Serializable;

@Data
public class Warning implements Serializable {

    private static final long serialVersionUID = -3888921205274103285L;
    private String id;
    private String levelId;
    private String manuFactureRcode;
    private String englishText;
    private String chineseText;
    private String parentId;
    private Integer isLeaf;
    private Integer sequenceNumber;
    private String characterIstic;
    private String modelId;
    private String codeName;
    private Integer ednaValue;
    private Integer display;
    private String warningClassifyId;
    private Double standardTime;
    private Integer isReset;
    private String warningTypeId;
    private String relatedParts;

}
