package com.gyee.wisdom.common.data.point;

import lombok.Data;

import java.io.Serializable;

/**
 *Author:Wanghs
 */

@Data
//风电场测点
public class PowerStationTestingPoint implements Serializable {

    //编号
    private String id;
    //编码
    private String code;
    //名称
    private String name;
    //单位
    private String valueUnit;
    //英文名称
    private String englishName;
    //统一编码
    private String uniformCode;
    //对象编码(电场编码)
    private String stationId;
    //分类（1遥测、2遥信、3遥调、4遥控、5计算）
    private int category;
}
