package com.gyee.wisdom.common.data.windturbine;

import com.gyee.wisdom.common.data.windturbine.Line;
import com.gyee.wisdom.common.data.windturbine.PowerStation;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class Project implements Serializable{
    private String id;
    private String code;
    private String name;
    private String aname;
    private String stationId;
    private Double capacity;
    private String capacityUnit;
    private Integer quantity;
    private String model;
    private Date commissionDate;
    private String masterPhone;
    private String shiftForeman;
    private String shiftForemanPhone;
    private Integer orderNum;
    private PowerStation powerStation;
}
