package com.gyee.wisdom.common.page;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author songwb<songwenbin@gyee-china.com>
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder(toBuilder = true)
public class Page<T> {
    private List<T> rows;
    private Integer total;
}
