package com.gyee.wisdom.dao.sql.control.repository;

import com.gyee.wisdom.common.data.control.GycpCmdInfo;
import com.gyee.wisdom.dao.sql.control.entity.GycpCmdInfoEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @descrition:
 * @author:Wanghs
 * @date:2019-09-02
 */
@Repository
public interface GycpCmdInfoRepository extends JpaRepository<GycpCmdInfoEntity, String>, JpaSpecificationExecutor {

    List<GycpCmdInfoEntity> findAll();

    List<GycpCmdInfoEntity> findAllByWindturbineId(String windturbineId);
}
