package com.gyee.wisdom.dao.sql.system.repository;

import com.gyee.wisdom.dao.sql.system.entity.UserEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface UserRepository extends JpaRepository<UserEntity, String>, JpaSpecificationExecutor {

    UserEntity findFirstByUserName(String userName);
    List<UserEntity> findByUserNameNot(String userName);

}
