package com.gyee.wisdom.alarm.schedule.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("ALARMSNAP")
public class AlarmSnap implements Serializable{

    @TableId("ID")
    private Long id;
    @TableField("STATIONID")
    private String stationId;
    @TableField("PROJECTID")
    private String projectId;
    @TableField("LINEID")
    private String lineId;
    @TableField("WINDTURBINEID")
    private String windturbineId;
    @TableField("ALERTVALUE")
    private int alertValue;
    @TableField("CATEGORY1")
    private String category1;
    @TableField("CATEGORY2")
    private String category2;
    @TableField("CATEGORY3")
    private String category3;
    @TableField("RANK")
    private String rank;
    @TableField("ISOPENED")
    private int isOpened;
    @TableField("LASTUPDATETIME")
    private Date lastUpdateTime;
    @TableField("STATIONNAME")
    private String stationName;
    @TableField("PROJECTNAME")
    private String projectName;
    @TableField("LINENAME")
    private String lineName;
    @TableField("WINDTURBINENAME")
    private String windturbineName;
    @TableField("ALERTTEXT")
    private String alertText;
    @TableField("MODELID")
    private String modelId;
    @TableField("TESTINGPOINTKEY")
    private String testingpointKey;
    @TableField("DATAINFO")
    private String dataInfo;
    @TableField("ISCONFIRMED")
    private int isconfirmed;
    @TableField("CONFIRMTIME")
    private Date confirmtime;
    @TableField("LASTUPDATEPERSON")
    private String lastUpdatePerson;
    @TableField("IFIXPICTURE")
    private String ifixpicture;
    @TableField("IFIXTAG")
    private String ifixtag;
    @TableField("LASTCLOSETIME")
    private Date lastCloseTime;
    @TableField("LASTCLOSEPERSON")
    private String lastClosePerson;
    @TableField("CONFIRMPERSON")
    private String confirmPerson;



   // private int isNew = 0;
}
