package com.gyee.wisdom.alarm.schedule.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gyee.wisdom.alarm.schedule.entity.Warning2;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface Warning2Mapper extends BaseMapper<Warning2> {

    IPage<Warning2> pageQueryAll(Page page,
                                 @Param("modelId")String modelId,
                                 @Param("name")String name,
                                 @Param("isLeaf") String isLeaf);

    String getMaxIdByModelId( @Param("modelId") String modelId);


    List<String>  selectGroupType();
}
