package com.gyee.wisdom.alarm.schedule.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import com.gyee.wisdom.alarm.schedule.entity.AlarmHistory;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;


@Getter
@Setter
@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown = true)
public class AlarmHistoryInfo extends AlarmHistory implements Serializable {

    private static final long serialVersionUID = 0L;

    @TableId("ID")
    private Long id;
    @TableId("ALERTTIME")
    private Date alertTime;
    @TableId("MESSAGETYPE")
    private int messageType;
    @TableId("SNAPID")
    private Long snapId;
    @TableId("DATAINFO")
    private String dataInfo;



    @TableField("STATIONID")
    private String stationId;
    @TableField("PROJECTID")
    private String projectId;
    @TableField("LINEID")
    private String lineId;
    @TableField("WINDTURBINEID")
    private String windturbineId;
    @TableField("ALERTVALUE")
    private int alertValue;
    @TableField("CATEGORY1")
    private String category1;
    @TableField("CATEGORY2")
    private String category2;
    @TableField("CATEGORY3")
    private String category3;
    @TableField("RANK")
    private String rank;
    @TableField("LASTUPDATETIME")
    private Date lastUpdateTime;
    @TableField("STATIONNAME")
    private String stationName;
    @TableField("PROJECTNAME")
    private String projectName;
    @TableField("LINENAME")
    private String lineName;
    @TableField("WINDTURBINENAME")
    private String windturbineName;
    @TableField("ALERTTEXT")
    private String alertText;
    @TableField("MODELID")
    private String modelId;

}
