package com.gyee.wisdom.alarm.sharding.controller;

import com.gyee.wisdom.alarm.sharding.entity.Device;
import com.gyee.wisdom.alarm.sharding.entity.Equipmentmodel;
import com.gyee.wisdom.alarm.sharding.service.EquipmentmodelService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 风机接口
 */
@Slf4j
@RestController
@RequestMapping("/equipmentmodel")
@CrossOrigin
public class EquipmentmodelController {
    @Autowired
    private EquipmentmodelService equipmentmodelService;

    @GetMapping(value = "/list")
    public List<Equipmentmodel> getAllEquipmentmodel() {
        return equipmentmodelService.getAllEquipmentmodel();
    }
}
