package com.gyee.wisdom.alarm.sharding.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @descrition:液压泵运行统计实体
 * @author:Wanghs
 * @date:2019-11-19
 */
@Data
@TableName("FEATURE_STAT")
public class FeatureStat implements Serializable {

    @TableId("ID")
    private Long id;
    //风机编号
    @TableField("WTID")
    private String wtId;
   //风场编号
    @TableField("STATIONID")
    private String stationId;
    //统计日期
    @TableField("STATDATE")
    private Date statDate;
    //发生次数
    @TableField("TOTAL")
    private int total;
    //总时长(秒)
    @TableField("TOTALSECONDS")
    private int totalSeconds;
    //平均时长(秒)
    @TableField("AVGSECONDS")
    private int avgSeconds;
    //最大时长
    @TableField("MAXSECONDS")
    private int maxSeconds;
    //最小时长
    @TableField("MINSECONDS")
    private int minSeconds;
    //最小时长
    @TableField("TYPECODE")
    private String typeCode;
    //最小时长
    @TableField("TYPENAME")
    private String typeName;
}
