package com.gyee.wisdom.alarm.sharding.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("SHUTDOWNEVENT")
public class ShutdownEvent implements Serializable {

    @TableId("ID")
    private String	id;
    @TableField("TASKSTATUS")
    private String taskStatus;
    @TableField("PREFLIGHT")
    private String	preflight;
    @TableField("WINDPOWERSTATIONID")
    private String	windPowerStationId;
    @TableField("WINDTURBINEID")
    private String windturbineId;
    @TableField("STOPTIME")
    private Date stopTime;
    @TableField("STARTTIME")
    private Date startTime;
    @TableField("STOPHOURS")
    private int	stopHours;
    @TableField("LOSSPOWER")
    private int losspower;
    @TableField("STOPTYPEID")
    private String stoptypeId;
    @TableField("SHANDLE")
    private int	shandle;
    @TableField("WARNINGID")
    private String	warningId;
    @TableField("PROJECTID")
    private String projectId;
    @TableField("HANDLEWAY")
    private String handleway;
    @TableField("FAULTVIEW")
    private String faultView;
    @TableField("STATUSCODE")
    private int	statusCode;
    @TableField("MAINID")
    private String mainId;
    @TableField("RESETRATE")
    private String resetrate;
    @TableField("STATERATE")
    private String staterate;
    @TableField("FAILRATE")
    private String failrate;
    @TableField("WARNINGRECORDSID")
    private int	warningrecordsId;


}
