package com.gyee.wisdom.alarm.sharding.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gyee.wisdom.alarm.sharding.entity.Scadafault;
import com.gyee.wisdom.alarm.sharding.entity.ShutdownEvent;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;
import java.util.Map;


@Repository
@Mapper
public interface ShutdownEventMapper extends BaseMapper<ShutdownEvent> {


    List<ShutdownEvent> queryShutdownEventList(String stId, Date startdate, Date edtend);

    List<ShutdownEvent> queryShutdownEventCurrentDate(String stId, Date currentDate);

    Map<String, String> queryTodayCount(Date currentDate);


}
