package com.gyee.wisdom.alarm.sharding.util;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @descrition: 如果某一个restful接口不需要登陆验证,则controller使用这个注释
 * @author:Wanghs
 * @date:2020-05-21
 */
@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface PassToken {
    boolean required() default true;
}
